Make build system respect DESTDIR, fix just the configure
as a path of least resistance.
Autoreconf stuffs spaces where they don't belong and produces
broken configure
https://bugs.gentoo.org/899938
https://bugs.gentoo.org/874531
--- a/configure
+++ b/configure
@@ -652,7 +652,7 @@
 #line 653 "configure"
 #include "confdefs.h"
 
-main(){return(0);}
+int main(){return(0);}
 EOF
 if { (eval echo configure:658: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest${ac_exeext}; then
   ac_cv_prog_cc_works=yes
@@ -1092,6 +1092,7 @@
 #line 1119 "configure"
 #include "confdefs.h"
 #include <ctype.h>
+#include <stdlib.h>
 #define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
 #define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
 #define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
--- a/Makefile.in
+++ b/Makefile.in
@@ -63,7 +63,7 @@
 	  tar -czvf isic-$(VERSION).tgz ./isic-$(VERSION)/* )
 
 install: $(BINS) $(MAN)
-	$(INSTALL) -m 0755 -d $(PREFIX)/bin
-	$(INSTALL) -m 0755 -c $(BINS) $(PREFIX)/bin
-	$(INSTALL) -m 0755 -d $(PREFIX)/man/man1
-	${INSTALL} -m 0755 -c $(MAN) $(PREFIX)/man/man1
+	$(INSTALL) -m 0755 -d $(DESTDIR)/$(PREFIX)/bin
+	$(INSTALL) -m 0755 -c $(BINS) $(DESTDIR)/$(PREFIX)/bin
+	$(INSTALL) -m 0755 -d $(DESTDIR)/$(PREFIX)/share/man/man1
+	${INSTALL} -m 0755 -c $(MAN) $(DESTDIR)/$(PREFIX)/share/man/man1
